summaryrefslogtreecommitdiff
path: root/qa/730
diff options
context:
space:
mode:
Diffstat (limited to 'qa/730')
-rwxr-xr-xqa/73047
1 files changed, 47 insertions, 0 deletions
diff --git a/qa/730 b/qa/730
new file mode 100755
index 0000000..c2dd719
--- /dev/null
+++ b/qa/730
@@ -0,0 +1,47 @@
+#!/bin/sh
+# PCP QA Test No. 730
+# Exercising the Linux cgroups metrics
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+[ $PCP_PLATFORM = linux ] || _notrun "cgroups test, only works with Linux"
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+root=$tmp.root
+export PROC_STATSPATH=$root
+pmda=$PCP_PMDAS_DIR/proc/pmda_proc.so,proc_init
+
+for tgz in $here/linux/cgroups-*.tgz
+do
+ rm -fr $root
+ mkdir $root || _fail "root in use when processing $tgz"
+ cd $root
+ tar xzf $tgz
+ base=`basename $tgz`
+
+ echo "== Checking namespace and metric numbering - $base"
+ pminfo -L -K clear -K add,3,$pmda cgroup
+ echo "== Checking metric descriptors and values - $base"
+ pminfo -L -K clear -K add,3,$pmda -d -f cgroup
+ echo "== Checking on an individual metric fetch - $base"
+ pminfo -L -K clear -K add,3,$pmda -f cgroup.groups.blkio.time
+ echo && echo "== done" && echo
+ cd $here
+done
+
+# success, all done
+status=0
+exit